<!DOCTYPE html>
<html lang="en"
    xmlns:th="http://www.thymeleaf.org"
>
<head>
    <meta charset="UTF-8">
    <title>TRANSACTIS BLOG</title>
    <link crossorigin="anonymous"
          href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css"
          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC"
          rel="stylesheet">
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark" th:fragment="navbar">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">Spring Boot Thymeleaf Blog App</a>
        <button aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation" class="navbar-toggler" data-bs-target="#navbarSupportedContent" data-bs-toggle="collapse" type="button">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a aria-current="page" class="nav-link active" th:href="@{/}" >All Posts</a>
                </li>
            </ul>
        </div>
    </div>
</nav>
<br /><br />
<div class="container">
    <div class="row col-md-6 offset-md-3">
        <div th:if="${param.error}">
            <div class="alert alert-danger">Invalid email or password.</div>
        </div>
        <div th:if="${param.logout}">
            <div class="alert alert-success"> You have been logged out.</div>
        </div>
        <div class="card">
            <div class="card-header">
                <h2 class="text-center">Login Form</h2>
            </div>
            <div class="card-body">
                <form
                    method="post"
                    th:action="@{/login}"
                    class="form-horizontal"
                    role="form"
                >
                    <div class="form-group mb-3">
                        <label class="control-label">Email *</label>
                        <input
                            type="text"
                            id="username"
                            name="username"
                            class="form-control"
                            placeholder="Enter email address"
                        />
                    </div>
                    <div class="form-group mb-3">
                        <label class="control-label">Password *</label>
                        <input
                                type="password"
                                id="password"
                                name="password"
                                class="form-control"
                                placeholder="Enter password"
                        />
                    </div>
                    <div class="form-group mb-3">
                        <button type="submit" class="btn btn-primary">Submit</button>
                        <span> Not registered yet?
                            <a th:href="@{/register}">Register/SignUp Here</a>
                        </span>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<br /><br /><br />
<footer class="footer-copyright text-center bg-dark py-3"
        style="position:fixed; width:100%; bottom:0; color:white">
    <div>
        <strong>
            Copyright &copy; 2022 <a href="https://www.javaguides.net">Javaguides</a>
            All rights reserved.
        </strong>
    </div>
</footer>
</body>
</html>